KDE 4.9 PyKDE API Reference

- KDE's Python API

# DomainBrowser Class Reference

`from PyKDE4.dnssd import *`

Inherits: QObject
Namespace: DNSSD

## Detailed Description

DomainBrowser domainbrowser.h DNSSD/DomainBrowser Browses recommended domains for browsing or publishing to.

Usage of this class is very simple. If you are interested in browsing for services, simple do

     DNSSD.DomainBrowser *browser =
         new DNSSD.DomainBrowser(DNSSD.DomainBrowser.Browsing, this);
     connect(browser, SIGNAL(domainAdded(QString)),
             this, SLOT(browsingDomainAdded(QString));
     connect(browser, SIGNAL(domainRemoved(QString)),
             this, SLOT(browsingDomainRemove(QString));
     browser->startBrowse();

If you are interested in domains where you can register services, usage is identical except that you should pass <tt>DNSSD.DomainBrowser.Registering</tt> to the constructor.

Author:
  Jakub Stachowski

## Enumerations

DomainType | { Browsing, Publishing }

## Signals

| domainAdded (QString domain)
| domainRemoved (QString domain)

## Methods

| __init__ (self, DNSSD.DomainBrowser.DomainType type, QObject parent=0)
QStringList | domains (self)
bool | isRunning (self)
| startBrowse (self)

## Signal Documentation

domainAdded | ( | QString | domain
| ) |  |  |

A new domain has been discovered

If the requested DomainType is Browsing, this will also be emitted for the domains specified in the global configuration.

Parameters:

  | domain | the name of the domain

See also:
  domainRemoved()

Signal syntax:
  `QObject.connect(source, SIGNAL("domainAdded(const QString&)"), target_slot)`

domainRemoved | ( | QString | domain
| ) |  |  |

A domain has disappeared from the browsed list

Emitted when domain has been removed from browsing list or the publishing list (depending on which list was requested in the constructor).

Parameters:

  | domain | the name of the domain

See also:
  domainAdded()

Signal syntax:
  `QObject.connect(source, SIGNAL("domainRemoved(const QString&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | DNSSD.DomainBrowser.DomainType | type,
|  | QObject | parent=0
| ) |  |  |

Standard constructor

The global DNS-SD configuration (for example, the global Avahi configuration for the Avahi backend) will be used.

Parameters:

  | type | the type of domain to search for
  | parent | parent object (see QObject documentation)

See also:
  startBrowse() and ServiceBrowser.isAvailable()

QStringList domains | ( |  | self ) |

The current known list of domains of the requested DomainType

Returns:
  a list of currently known domain names

bool isRunning | ( |  | self ) |

Whether the browsing has been started

Returns:
  true if startBrowse() has been called, false otherwise

startBrowse | ( |  | self ) |

Starts browsing

Only the first call to this function will have any effect.

Browsing stops when the DomainBrowser object is destroyed.

Warning:
  The domainAdded() signal may be emitted before this function returns.

See also:
  domainAdded() and domainRemoved()

## Enumeration Documentation

DomainType

A type of domain recommendation

Enumerator:

  Browsing |
  Publishing |